## gate.util
Class LazyProgrammerException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--gate.util.LazyProgrammerException

All Implemented Interfaces:
  Serializable

public class LazyProgrammerException
extends RuntimeException

What to throw in a method that hasn't been implemented yet. Yes, there are good reasons never to throw RuntimeExceptions and thereby sidestep Java's exception checking mechanism. But we're so lazy we don't care. And anyway, none of these are ever supposed to make it into released versions (who are we kidding?).

See Also:
  Serialized Form

Field Summary
`private static boolean` `DEBUG` Debug flag
`(package private) static String` `defaultMessage` In a fit of complete laziness we didn't even document this class properly.

Fields inherited from class java.lang.Throwable
`backtrace, detailMessage, serialVersionUID`

Constructor Summary
`LazyProgrammerException()` In a fit of complete laziness we didn't even document this class properly.
`LazyProgrammerException(String s)` In a fit of complete laziness we didn't even document this class properly.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, printStackTrace0, toString`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### defaultMessage

    static String defaultMessage

  In a fit of complete laziness we didn't even document this class properly.

Constructor Detail

### LazyProgrammerException

    public LazyProgrammerException()

  In a fit of complete laziness we didn't even document this class properly.

### LazyProgrammerException

    public LazyProgrammerException(String s)

  In a fit of complete laziness we didn't even document this class properly.